Loading...
Searching...
No Matches
inference-inst.h File Reference

Contains generic inference algorithms that convert between templated graphical models, i.e., factor graphs, Bayes nets, and Bayes trees. More...

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<class TREE, class RESULT>
FastVector< typename TREE::sharedFactor > | gtsam::inference::EliminateTree (RESULT &result, const TREE &tree, const typename TREE::Eliminate &function)
| Eliminate an elimination tree or a Bayes tree (used internally).

## Detailed Description

Contains generic inference algorithms that convert between templated graphical models, i.e., factor graphs, Bayes nets, and Bayes trees.

Author
  Frank Dellaert
  Richard Roberts

## Function Documentation

## EliminateTree()

template<class TREE, class RESULT>

FastVector< typename TREE::sharedFactor > gtsam::inference::EliminateTree | ( | RESULT & | result,
|  | const TREE & | tree,
|  | const typename TREE::Eliminate & | function )

Eliminate an elimination tree or a Bayes tree (used internally).

Requires TREE::BayesNetType, TREE::FactorGraphType, TREE::sharedConditional, TREE::sharedFactor, TREE::Node, TREE::sharedNode, TREE::Node::factors, TREE::Node::children.